Rockband2 Retail Disc: " Out of Date " Error w/ Customs

Discussion in 'Wii - Hacking' started by cliffm10, Nov 24, 2010.

  1. cliffm10
    OP

    Newcomer cliffm10 Newbie

    Joined:
    Nov 16, 2009
    Messages:
    6
    Country:
    United States
    Using RawkSD to get customs from other retail disc like GHM. Everything installs/imports perfectly, and I even see the song listed on Rockband2. When I try to play the song, I get the (song title) is out of date and cannot be restored to wii system memory.

    Every single issue on the internet about this error revolves around a disc loader. Apparently, I should NOT be having this problem if I am using the default disc channel with a retail copy of Rockband 2.

    Any help would just be greatly appreciated.

    Totally bummed about it. Iv'e been working on it for a few days and I can't figure it out. I ran the IOS37WAD fix which triggered a reinstall/system update before using the retail Rock Band 2 disc. Still no luck. Tried reinstalling the Rawksd patcher, nothing.

    It's got to be IOS37 related, but I don't remember making any recent changes before this happened. I used to jam out Rawsd customs all the time. This sucks, I lost access to all my Metallica!!!!!!!

    Somebody help please!!!!!!!
     
  2. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    You're on the right track: it has indeed to do with IOS37. The problem is that the rawkSD patcher updates IOS37 to the latest version (v5663, atm). Unfortunate enough, rawkSD itself only works on v3869.


    The solution is to use a program like Dop-mii to download and install IOS37 v3869. When asked, say 'yes' to all the patches.

    You should be fine after that. [​IMG]
     
  3. cliffm10
    OP

    Newcomer cliffm10 Newbie

    Joined:
    Nov 16, 2009
    Messages:
    6
    Country:
    United States
    Cool man, thanks for replying. I'll give it a shot and report back if it works.
     
  4. cliffm10
    OP

    Newcomer cliffm10 Newbie

    Joined:
    Nov 16, 2009
    Messages:
    6
    Country:
    United States
    Weaver my Belgium brother. Your a genius man. Just Rawked out some Seek and Destroy thanks to your expertise!

    Thanks again!

    The only thing to add to your brilliant instruction is to use IOS36 to install the IOS37 v3869 update.
     
  5. cliffm10
    OP

    Newcomer cliffm10 Newbie

    Joined:
    Nov 16, 2009
    Messages:
    6
    Country:
    United States
    I meant Wever, sorry I f'd up your name dude!!!!
     
  6. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    [​IMG]

    Thanx for all the credit. But in all honesty, I only knew about it because I ran into the same problem. It's actually one of the regulars/developers in the rawksd thread (probably SFenton or tuedj) who came up with this information. I just handed it down to others. [​IMG]

    IIRC, it doesn't matter which IOS or cIOS you use to install IOS37. But in order to have all the patches in that IOS, you need one with the trucha bug itself. And the IOS in slot 249 is more likely to have that bug. [​IMG]
     
  7. cliffm10
    OP

    Newcomer cliffm10 Newbie

    Joined:
    Nov 16, 2009
    Messages:
    6
    Country:
    United States
    I used that IOS36 and got it working. Would it be more thorough and proper to do install it again using IOS249? I would doubt that reinstalling would hurt anything but I'd like to ask the question to be safe.

    Please advise, thanks
     
  8. SFenton

    Member SFenton ಠ_ಠ

    Joined:
    Oct 14, 2008
    Messages:
    1,077
    Location:
    Derp
    Country:
    United States
    Wasn't me that came up with it, I just repost it for others. [​IMG] Appreciate it though.

    EDIT: cliffm10, it doesn't matter as long as the IOS you are using is fakesigned. So you could use 249, 36, or whatever else is fakesigned.
     
  9. qwertymodo

    Member qwertymodo GBAtemp Advanced Fan

    Joined:
    Feb 1, 2010
    Messages:
    769
    Country:
    United States
    *waves* [​IMG]
     
  10. headstone1734

    Newcomer headstone1734 Newbie

    Joined:
    Dec 29, 2008
    Messages:
    7
    Country:
    Canada
    I tried this and ran into the same error message...

    Any other suggestions?
     
  11. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    Have you tried reinstalling IOS37? It may be that you have the correct version (once again: v3869), but that it is not fakesigned.

    Other than that, I'm afraid I don't have any suggestions.
     
  12. SFenton

    Member SFenton ಠ_ಠ

    Joined:
    Oct 14, 2008
    Messages:
    1,077
    Location:
    Derp
    Country:
    United States
    Nor do I. Try using 249 instead of 36?
     
  13. headstone1734

    Newcomer headstone1734 Newbie

    Joined:
    Dec 29, 2008
    Messages:
    7
    Country:
    Canada
    yeah i reinstalled ios37 both with 249 and then with 36 and same thing.

    Do i need to launch the game using 37 instead of 249 as that is what i currently do.

    Rock Band DLC works that i downloaded, its just rawksd dlc that doesnt [​IMG]
     
  14. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    Well...it's kinda obvious that you need to run it using IOS37. What good is a perfectly fine IOS if you're not using it to run the game? [​IMG]



    Now...seeing how you try using a cIOS, I take it you want to load the game from an USB drive. And that's the crutch: rawksd is built to be used with retail discs, so any cIOS shenanigans are unsupported.
     

Share This Page